Page MenuHomePhabricator

[TTI] NFC: Change getMaskedMemoryOpCost to return InstructionCost
ClosedPublic

Authored by sdesmalen on Apr 9 2021, 8:11 AM.

Details

Summary

This patch migrates the TTI cost interfaces to return an InstructionCost.

See this patch for the introduction of the type: https://reviews.llvm.org/D91174
See this thread for context: http://lists.llvm.org/pipermail/llvm-dev/2020-November/146408.html

Diff Detail

Event Timeline

sdesmalen created this revision.Apr 9 2021, 8:11 AM
sdesmalen requested review of this revision.Apr 9 2021, 8:11 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 9 2021, 8:11 AM
dmgreen accepted this revision.Apr 10 2021, 6:57 AM
dmgreen added a subscriber: dmgreen.

Looks good, expect for the one getValue.

llvm/lib/Target/X86/X86TargetTransformInfo.cpp
3292

Can be removed now?

This revision is now accepted and ready to land.Apr 10 2021, 6:57 AM
sdesmalen updated this revision to Diff 336777.Apr 12 2021, 1:46 AM

Removed unnecessary .getValue()

sdesmalen marked an inline comment as done.Apr 12 2021, 1:46 AM
sdesmalen added inline comments.
llvm/lib/Target/X86/X86TargetTransformInfo.cpp
3292

Good spot, thanks!

This revision was automatically updated to reflect the committed changes.
sdesmalen marked an inline comment as done.